java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty

Today I faced an error that I’ve never seen before:

java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty

This situation was happening when I was executing any Maven command in a new virtual machine with Ubuntu 15.10 and JDK 1.8. The solution for me was very simple, I just had to reconfigure Java certificates installed on that machine.

I used this command:

sudo /var/lib/dpkg/info/ca-certificates-java.postinst configure

I’m not sure why exactly this error was happening, but seems that is a kind of bug in installing the JDK 1.8 via apt-get command.

That’s all for today. See you.

Advertisements